package org.processmining.performancespectrum.plugins;

import java.io.InputStream;

import javax.swing.filechooser.FileFilter;
import javax.swing.filechooser.FileNameExtensionFilter;

import org.processmining.contexts.uitopia.annotations.UIImportPlugin;
import org.processmining.framework.abstractplugins.AbstractImportPlugin;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.framework.plugin.annotations.Plugin;

@Plugin(name = "Import a Directory of CSV event logs for Performance Spectrum", parameterLabels = { "Filename" }, returnLabels = {
		"CSV Event Logs Directory" }, returnTypes = { PerformanceSpectrumCsvDirectory.class })
@UIImportPlugin(description = "CSV Event Log Directory for Performance Spectrum", extensions = { "csvdir" })
public class PsmCsvDirImporter extends AbstractImportPlugin {

	protected FileFilter getFileFilter() {
		return new FileNameExtensionFilter("CSV Event Log Directory for Performance Spectrum", "csvdir");
	}

	protected Object importFromStream(PluginContext context, InputStream input, String filename, long fileSizeInBytes)
			throws Exception {
		return new PerformanceSpectrumCsvDirectory(getFile().getPath());
	}

}
