package org.processmining.performancespectrum.plugins;

import java.io.InputStream;

import javax.swing.filechooser.FileFilter;
import javax.swing.filechooser.FileNameExtensionFilter;

import org.processmining.contexts.uitopia.annotations.UIImportPlugin;
import org.processmining.framework.abstractplugins.AbstractImportPlugin;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.framework.plugin.annotations.Plugin;

@Plugin(name = "Import Performance Spectrum", parameterLabels = { "Filename" }, returnLabels = {
		"Performance Spectrum Directory" }, returnTypes = { PerformanceSpectrumDirectory.class })
@UIImportPlugin(description = "Performance Spectrum Session files", extensions = { "psm" })
public class PsmImporter extends AbstractImportPlugin {

	protected FileFilter getFileFilter() {
		return new FileNameExtensionFilter("Performance Spectrum Session files", "psm");
	}

	protected Object importFromStream(PluginContext context, InputStream input, String filename, long fileSizeInBytes)
			throws Exception {
		return new PerformanceSpectrumDirectory(getFile().getPath());
	}

}
