package org.processmining.performancespectrum.plugins;

import java.io.InputStream;

import javax.swing.filechooser.FileFilter;
import javax.swing.filechooser.FileNameExtensionFilter;

import org.processmining.contexts.uitopia.annotations.UIImportPlugin;
import org.processmining.framework.abstractplugins.AbstractImportPlugin;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.framework.plugin.annotations.Plugin;

@Plugin(name = "Import a Directory of segment files for Performance Spectrum", parameterLabels = { "Filename" }, returnLabels = {
		"Segment Files Directory" }, returnTypes = { PerformanceSpectrumSegDirectory.class })
@UIImportPlugin(description = "Segment Files Directory for Performance Spectrum", extensions = { "segdir" })
public class PsmSegDirImporter extends AbstractImportPlugin {

	protected FileFilter getFileFilter() {
		return new FileNameExtensionFilter("Segment Files Directory for Performance Spectrum", "segdir");
	}

	protected Object importFromStream(PluginContext context, InputStream input, String filename, long fileSizeInBytes)
			throws Exception {
		return new PerformanceSpectrumSegDirectory(getFile().getPath());
	}

}
